<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$edit_page = 'project_manage_release_edit_page.php';
$redirect_page		= 'project_manage_release_page.php';

session_validate_form_set($_POST, $edit_page);

#### Call api function to add/update database passing in form field values ####
admin_edit_release(	session_validate_form_get_field('release_id'),
					session_validate_form_get_field('release_edit_name_required'),
					session_validate_form_get_field('release_edit_date'),
					session_validate_form_get_field('release_edit_description') );

html_print_operation_successful( 'release_page', $redirect_page);
?>